%CCFM_Jac.m, by Daniel Lyons(March 2014)
%computes the Jacobian matrix of the CCFM system

function DF = CCFM_Jac(x)

global c lambda;

x1 = x(1);
x2 = x(2);
x3 = x(3);

DF = zeros(3,3);

%compute 1st row
num1 = c*(x1+lambda*x2);
DF(1,:) = [-1+c*(sech(num1))^2   c*lambda*(sech(num1))^2     0];

%compute 2nd row
num2 = c*(x2+lambda*x3);
DF(2,:) = [0    -1+c*(sech(num2))^2   c*lambda*(sech(num2))^2];

%compute 3rd row
num3 = c*(x3+lambda*x1);
DF(3,:) = [c*lambda*(sech(num3))^2    0    -1+c*(sech(num3))^2];

