%cone_compute.m, by Daniel Lyons (March 2014)
%computes a cone along the line x1=x2=x3

function cone_T = cone_compute(phi,rho_array,theta_array)


cone = zeros(length(theta_array)*length(rho_array),3);

for ii = 1:length(rho_array)
    for jj = 1:length(theta_array)
        index = (ii-1)*length(theta_array) + jj;
        rho = rho_array(ii);
        theta = theta_array(jj);
        X = rho*cos(theta)*sin(phi);
        Y = rho*sin(theta)*sin(phi);
        Z = rho*cos(phi);
        cone(index,:) = [X Y Z];
    end
end

%linear transformation matrix
T = [ 2/sqrt(6) 0 1/sqrt(3); -1/sqrt(6) -1/sqrt(2) 1/sqrt(3); -1/sqrt(6) 1/sqrt(2) 1/sqrt(3)];


cone_T = zeros(length(theta_array)*length(rho_array),3);
%do linear transformation of cone onto line x1=x2=x3
for ii = 1:length(cone_T)
    X = sum(T(1,:).*cone(ii,:));
    Y = sum(T(2,:).*cone(ii,:));
    Z = sum(T(3,:).*cone(ii,:));
    cone_T(ii,:) = [X Y Z];
end
