%redundant_point_filter.m, by Sara Wang (March 2014)
%removes excess points with coordinates in the arrays x,y,z so that the
%minimum distance (L2-norm) between points is norm_tol.

function [x,y,z] = redundant_point_filter(x,y,z,norm_tol)


for i = 1:length(x)-1
    
    j = i + 1;
    while  j <= length(x)
        if sqrt((x(i)-x(j))^2 + (y(i)-y(j))^2 + (z(i)-z(j))^2) < norm_tol
            x(j) = [];
            y(j) = [];
            z(j) = [];
            j = j - 1;
        end
        j = j + 1;
    end 
end

